Rockbox Technical Forums

Installation / Removal => Rockbox Utility => Topic started by: ahmadmfz on September 24, 2010, 05:16:29 AM

Title: Bootloader can't install on ipod 5.5g. (edited).
Post by: ahmadmfz on September 24, 2010, 05:16:29 AM
Hey there guys.. I'm using an ipod video 5.5g.
I've used the rockbox utility but the the utility crashes whenever it's downloading the bootloader.
however, i can download the rockbox firmware fine. Just can't install the bootloader.
Tried using manually, but the ipodpatcher also crashes when it downloads the bootloader.
I'm using an administrator account and i also enabled disk use. so how? :\
Title: Re: Bootlogger can't install on ipod 5.5g.
Post by: Chronon on September 24, 2010, 09:38:22 AM
It just crashes?  Is there any message?
Title: Re: Bootlogger can't install on ipod 5.5g.
Post by: bluebrother on September 24, 2010, 10:27:24 AM
Please post the output of the About / Troubleshooting / System Trace and System Info dialogs. Also, what exactly are you referring to? There is no bootlogger -- are you referring to the bootloader? Also, ipodpatcher doesn't download anything, neither a bootloader nor a bootlogger (whatever that is supposed to be) so it's impossible for ipodpatcher to crash on downloading something.

Please describe the steps you're doing in detail. Also, what system are you using (Windows? Which version of Windows?) and which version of Rockbox Utility are you using?
Title: Re: Bootlogger can't install on ipod 5.5g.
Post by: ahmadmfz on September 24, 2010, 06:08:23 PM
hey guys thanks for the replies. Yeah i meant bootloader. Hmm. I'll post a picture of the problem later. I'm outside now. will load it up soon :) and oh, i'm using windows xp, and the latest version of rockbox utility,
Title: Re: Bootlogger can't install on ipod 5.5g.
Post by: bluebrother on September 25, 2010, 01:07:44 AM
the latest version of rockbox utility,

"Latest version" is not really saying much, especially given the fact that there has been a new release just a bit more than a day ago. There's also a chance you didn't notice a new version because a proxy showed you only older ones (this issue came up when I did development binaries of the Theme Editor for someone trying them out so it's not just a theoretical issue.) Please do always state the version number, only that guarantees that we're talking about the same version.
Title: Re: Bootlogger can't install on ipod 5.5g.
Post by: ahmadmfz on September 25, 2010, 08:13:46 PM
okay  here it goes. Will try to give as much details as possible.

I'm trying to rockbox my ipod video 5.5g, and i'm running windows xp with rockbox v1.2.8, the latest version.

I tried the automatic installation, and it s up fine till the third line, which is "installing rockbox bootloader"

After which, rockbox utility just crashes, and a pop up comes out, "RockboxUtility.exe has encountered a problem and needs to close. We are sorry for the inconvenience."

So i clicked the error report..

" AppName:rockboxutility.exe     AppVer: 0.0.0.0   ModnameL msvcrt.dll
   
   ModVer: 7.0.2600.2180           Offset: 000323e4"

idk what went wrong.. :\   

And oh forgot to mention, i enabled disk use too. Tried the manual way but failed too upon installing the bootloader. I have a secure internet excess, and i just bought new original wires.

Oh ya, i can't sync with itunes too for some reason.

an error (-50) pops out..

Is it my computer, or my iPod, or rockbox, or my stupidness? T.T

i don't have another computer so can't really check out on other coms..
Title: Re: Bootloader can't install on ipod 5.5g. (edited).
Post by: Chronon on October 01, 2010, 09:41:35 AM
Your iPod should be functioning normally before trying to install Rockbox.  You could try restoring it in iTunes to see if that helps.